Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallServer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallServer

Enclosing class:
  TdApi

public static final class TdApi.CallServer extends TdApi.Object
Describes a server for relaying call data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`id`
Server identifier.
`String`
`ipAddress`
Server IPv4 address.
`String`
`ipv6Address`
Server IPv6 address.
`int`
`port`
Server port number.
`TdApi.CallServerType`
`type`
Server type.

## Constructor Summary

Constructors
Constructor
Description
`CallServer()`
Describes a server for relaying call data.
`CallServer(long id, String ipAddress, String ipv6Address, int port, TdApi.CallServerType type)`
Describes a server for relaying call data.
`CallServer(DataInput input)`
Describes a server for relaying call data.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Server identifier.

### ipAddress

public String ipAddress
Server IPv4 address.

### ipv6Address

public String ipv6Address
Server IPv6 address.

### port

public int port
Server port number.

### type

public TdApi.CallServerType type
Server type.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CallServer

public CallServer()
Describes a server for relaying call data.

### CallServer

public CallServer(long id, String ipAddress, String ipv6Address, int port, TdApi.CallServerType type)
Describes a server for relaying call data.

Parameters:
  `id` - long Server identifier.
  `ipAddress` - String Server IPv4 address.
  `ipv6Address` - String Server IPv6 address.
  `port` - int Server port number.
  `type` - CallServerType Server type.

### CallServer

public CallServer(DataInput input) throws IOException
Describes a server for relaying call data.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`